Bug 1376894 - [abrt] midori: WTFCrash(): midori killed by SIGSEGV
Summary: [abrt] midori: WTFCrash(): midori killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 25
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22460a8e60e512b5b90e43ac9d1...
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-16 18:59 UTC by Paul Whalen
Modified: 2017-12-12 10:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:11:31 UTC


Attachments (Terms of Use)
File: backtrace (90.06 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: cgroup (229 bytes, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: core_backtrace (35.87 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: dso_list (15.30 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: environ (2.72 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: maps (55.88 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: mountinfo (3.77 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: open_fds (3.35 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details
File: var_log_messages (313 bytes, text/plain)
2016-09-16 18:59 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2016-09-16 18:59:10 UTC
Description of problem:
Normal usage, after a few minutes midori crashes.

Version-Release number of selected component:
midori-0.5.11-2.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        midori
crash_function: WTFCrash
executable:     /usr/bin/midori
global_pid:     4613
kernel:         4.8.0-0.rc5.git1.1.fc25.aarch64
pkg_fingerprint: 1A18 5CDD E372 E838
pkg_vendor:     Fedora Project
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTFCrash at Source/WTF/wtf/Assertions.cpp:333
 #1 WTF::TCMalloc_ThreadCache::Allocate at Source/WTF/wtf/FastMalloc.cpp:3315
 #2 WTF::do_malloc<true> at Source/WTF/wtf/FastMalloc.cpp:4057
 #3 WTF::fastMalloc<true> at Source/WTF/wtf/FastMalloc.cpp:4278
 #4 WTF::fastMalloc at Source/WTF/wtf/FastMalloc.cpp:4241
 #5 WTF::VectorBufferBase<WebCore::FloatQuad>::allocateBuffer at Source/WTF/wtf/Vector.h:260
 #6 WTF::Vector<WebCore::FloatQuad, 0ul, WTF::CrashOnOverflow>::reserveCapacity at Source/WTF/wtf/Vector.h:943
 #7 WTF::Vector<WebCore::FloatQuad, 0ul, WTF::CrashOnOverflow>::expandCapacity at Source/WTF/wtf/Vector.h:853
 #9 WTF::Vector<WebCore::FloatQuad, 0ul, WTF::CrashOnOverflow>::appendSlowCase<WebCore::FloatQuad>(WebCore::FloatQuad&&) at Source/WTF/wtf/Vector.h:1056
 #10 WTF::Vector<WebCore::FloatQuad, 0ul, WTF::CrashOnOverflow>::append<WebCore::FloatQuad>(WebCore::FloatQuad&&) at Source/WTF/wtf/Vector.h:1047

Comment 1 Paul Whalen 2016-09-16 18:59:14 UTC
Created attachment 1201777 [details]
File: backtrace

Comment 2 Paul Whalen 2016-09-16 18:59:15 UTC
Created attachment 1201778 [details]
File: cgroup

Comment 3 Paul Whalen 2016-09-16 18:59:17 UTC
Created attachment 1201779 [details]
File: core_backtrace

Comment 4 Paul Whalen 2016-09-16 18:59:18 UTC
Created attachment 1201780 [details]
File: dso_list

Comment 5 Paul Whalen 2016-09-16 18:59:19 UTC
Created attachment 1201781 [details]
File: environ

Comment 6 Paul Whalen 2016-09-16 18:59:20 UTC
Created attachment 1201782 [details]
File: exploitable

Comment 7 Paul Whalen 2016-09-16 18:59:21 UTC
Created attachment 1201783 [details]
File: limits

Comment 8 Paul Whalen 2016-09-16 18:59:22 UTC
Created attachment 1201784 [details]
File: maps

Comment 9 Paul Whalen 2016-09-16 18:59:24 UTC
Created attachment 1201785 [details]
File: mountinfo

Comment 10 Paul Whalen 2016-09-16 18:59:25 UTC
Created attachment 1201786 [details]
File: namespaces

Comment 11 Paul Whalen 2016-09-16 18:59:26 UTC
Created attachment 1201787 [details]
File: open_fds

Comment 12 Paul Whalen 2016-09-16 18:59:27 UTC
Created attachment 1201788 [details]
File: proc_pid_status

Comment 13 Paul Whalen 2016-09-16 18:59:28 UTC
Created attachment 1201789 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:01:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:11:31 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.